Index: aclocal/bsp-alias.m4
===================================================================
--- aclocal/bsp-alias.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/bsp-alias.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,6 +1,2 @@
-dnl
-dnl  $Id$
-dnl 
-
 dnl _RTEMS_BSP_ALIAS(BSP_ALIAS,RTEMS_BSP_FAMILY)
 dnl Internal subroutine to RTEMS_BSP_ALIAS
Index: aclocal/canonical-target-name.m4
===================================================================
--- aclocal/canonical-target-name.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/canonical-target-name.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,6 +1,2 @@
-dnl
-dnl $Id$
-dnl
-
 dnl canonicalize target cpu
 dnl NOTE: Most rtems targets do not fullfil autoconf's
Index: aclocal/check-bsps.m4
===================================================================
--- aclocal/check-bsps.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/check-bsps.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 dnl Report all available bsps for a target within the source tree
 dnl
Index: aclocal/check-custom-bsp.m4
===================================================================
--- aclocal/check-custom-bsp.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/check-custom-bsp.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([_RTEMS_CHECK_CUSTOM_BSP],[
 AC_REQUIRE([RTEMS_CANONICAL_TARGET_CPU])dnl sets RTEMS_CPU, target
Index: aclocal/enable-cxx.m4
===================================================================
--- aclocal/enable-cxx.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-cxx.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_ENABLE_CXX],
 [
Index: aclocal/enable-multiprocessing.m4
===================================================================
--- aclocal/enable-multiprocessing.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-multiprocessing.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_ENABLE_MULTIPROCESSING],
 [
Index: aclocal/enable-networking.m4
===================================================================
--- aclocal/enable-networking.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-networking.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_ENABLE_NETWORKING],
 [
Index: aclocal/enable-posix.m4
===================================================================
--- aclocal/enable-posix.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-posix.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_ENABLE_POSIX],
 [
Index: aclocal/enable-rtems-debug.m4
===================================================================
--- aclocal/enable-rtems-debug.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-rtems-debug.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-## $Id$
-
 AC_DEFUN([RTEMS_ENABLE_RTEMS_DEBUG],
 [
Index: aclocal/enable-rtemsbsp.m4
===================================================================
--- aclocal/enable-rtemsbsp.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-rtemsbsp.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 dnl Override the set of BSPs to be built.
 dnl used by the toplevel configure script
Index: aclocal/enable-smp.m4
===================================================================
--- aclocal/enable-smp.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-smp.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_ENABLE_SMP],
 [
@@ -8,5 +6,9 @@
 [AS_HELP_STRING([--enable-smp],[enable smp interface])],
 [case "${enableval}" in 
-  yes) RTEMS_HAS_SMP=yes ;;
+  yes) case "${RTEMS_CPU}" in
+         sparc|i386) RTEMS_HAS_SMP=yes ;;
+         *)          RTEMS_HAS_SMP=no ;;
+       esac
+       ;;
   no) RTEMS_HAS_SMP=no ;;
   *)  AC_MSG_ERROR(bad value ${enableval} for enable-smp option) ;;
Index: aclocal/enable-tests.m4
===================================================================
--- aclocal/enable-tests.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/enable-tests.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_ENABLE_TESTS],
 [
Index: aclocal/path-ksh.m4
===================================================================
--- aclocal/path-ksh.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/path-ksh.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 AC_DEFUN([RTEMS_PATH_KSH],
 [
Index: aclocal/project-root.m4
===================================================================
--- aclocal/project-root.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/project-root.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,12 +1,8 @@
-dnl
-dnl $Id$
-dnl 
-
 dnl
 dnl PROJECT_TOPdir     .. relative path to the top of the build-tree
 dnl PROJECT_ROOT       .. relative path to the top of the temporary
 dnl                       installation directory inside the build-tree
-dnl RTEMS_TOPdir       .. relative path of a subpackage's configure.in to the
-dnl                       toplevel configure.in of the source-tree
+dnl RTEMS_TOPdir       .. relative path of a subpackage's configure.ac to the
+dnl                       toplevel configure.ac of the source-tree
 dnl RTEMS_ROOT         .. path to the top of a bsp's build directory
 dnl                       [Applied by custom/*.cfg, depredicated otherwise]
Index: aclocal/rtems-top.m4
===================================================================
--- aclocal/rtems-top.m4	(revision 7c504629d2d85947dbb0c8523a84d94594ee3731)
+++ aclocal/rtems-top.m4	(revision 40cadeee3b758f469e3673072888b1b1a706a0a3)
@@ -1,4 +1,2 @@
-dnl $Id$
-
 # AC_DISABLE_OPTION_CHECKING is not available before 2.62
 AC_PREREQ(2.62)
@@ -7,5 +5,5 @@
 dnl RTEMS_TOP($1)
 dnl 
-dnl $1 .. relative path from this configure.in to the toplevel configure.in
+dnl $1 .. relative path from this configure.ac to the toplevel configure.ac
 dnl
 AC_DEFUN([RTEMS_TOP],
